%define _unpackaged_files_terminate_build 0
%define compatv 72

Summary: FPM config and init files for PHP72
Summary(ko): PHP FPM 설정 파일 및 구동 파일
Name: php%{?compatv}-fpm-conf
Version: 7.2.7
Release: 1%{?dist}
Epoch: 2
License: PHP
Group: System Environment/AnNyung
BuildArchitectures: noarch
Source0: php-fpm.init
Source1: php-fpm.conf
Source2: php-fpm-fcgi.ini
Source3: php-shared.ini
Source5: php-fpm.service
Source6: php-fpm.sysconfig
Source7: php-fpm.logrotate
Source8: php-fpm-www.conf
Source100: status.html

Requires: php%{?compatv}-fpm php%{?compatv}-common


%description
The php%{?compatv}-fpm-conf package contains fpm configuration and init files.

%prep
%setup -cTn %{name}-%{version}

%install
[ -d %{buildroot} ] && rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{fpm,fpm.d}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{fpm,fpm.d}
%{!?compatv:%{__mkdir_p} %{buildroot}%{_sysconfdir}/logrotate.d}
%{__mkdir_p} %{buildroot}%{_datadir}/php%{?compatv}

%{!?compatv:%{__mkdir_p} %{buildroot}%{_localstatedir}/log/fpm}

%{__install} -m755 %{SOURCE0} %{buildroot}%{_sysconfdir}/rc.d/init.d/php%{?compatv}-fpm
%{__install} -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/php-fpm.conf
%{__install} -m644 %{SOURCE8} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/fpm.d/0-default.conf
%{__install} -m444 %{SOURCE2} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/php-fpm-fcgi.ini
%{__install} -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/fpm/SHARED.ini
%{__install} -m644 %{SOURCE100} %{buildroot}%{_datadir}/php%{?compatv}/fpm-status.html

%{__mkdir} -p %{buildroot}%{_unitdir}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/sysconfig
#{__install} -m644 %{SOURCE5} %{buildroot}%{_unitdir}/php%{?compatv}-fpm.service
%{__install} -m644 %{SOURCE6} %{buildroot}%{_sysconfdir}/sysconfig/php%{?compatv}-fpm
%{!?compatv:%{__install} -m644 %{SOURCE7} %{buildroot}%{_sysconfdir}/logrotate.d/php-fpm}

cd %{buildroot}%{_sysconfdir}/php%{?compatv}.d
	for item in fpm/SHARED.ini php-fpm-fcgi.ini php-fpm.conf fpm.d/0-default.conf
	do
		perl -pi -e 's/\@COMPAT\@/%{?compatv}/g' $item
	done
cd -

for item in %{buildroot}%{_unitdir}/php%{?compatv}-fpm.service \
			%{buildroot}%{_sysconfdir}/sysconfig/php%{?compatv}-fpm \
			%{buildroot}%{_datadir}/php%{?compatv}/fpm-status.html \
			%{buildroot}%{_sysconfdir}/rc.d/init.d/php%{?compatv}-fpm
do
	perl -pi -e 's/\@COMPAT\@/%{?compatv}/g' $item
done

%clean
rm -rf %{buildroot}

%post
if [ ! -d /var/log/fpm -o ! -L /var/log/fpm ]; then
    mkdir -p /var/log/fpm
    chgrp nobody /var/log/fpm
    chmod 775 /var/log/fpm
else
    chgrp nobody /var/log/fpm
    chmod 775 /var/log/fpm
fi

if [ $1 -eq 1 ]; then
	/sbin/chkconfig --add php%{?compatv}-fpm
	/sbin/chkconfig --level 35 php%{?compatv}-fpm on
fi

%preun
if [ $1 -eq 0 ]; then
	/sbin/service php%{?compatv}-fpm stop >& /dev/null
	/sbin/chkconfig --del php%{?compatv}-fpm
fi

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/php%{?compatv}.d/fpm
%dir %{_sysconfdir}/php%{?compatv}.d/fpm.d
%{!?compatv:%dir %{_localstatedir}/log/fpm}
%{_sysconfdir}/rc.d/init.d/php%{?compatv}-fpm
%{_datadir}/php%{?compatv}/fpm-status.html
%{!?compatv:%config(noreplace) %{_sysconfdir}/logrotate.d/php-fpm}
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/php-fpm-fcgi.ini
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/php-fpm.conf
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/fpm.d/0-default.conf
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/fpm/*.ini

%{_sysconfdir}/sysconfig/php%{?compatv}-fpm
#{_unitdir}/*.service

%changelog
* Sun Jul  8 2018 JoungKyun.Kim <hostmaster@oops.org> 2:7.2.7-7%{?dist}
- Exif: Heap Buffer Overflow (READ: 1786) in exif_iif_add_value (#76130)

* Sun Feb 18 2018 JoungKyun.Kim <hostmaster@oops.org> 2:7.2.2-1%{?dist}
- fixed @COMPAT@ replace

* Sat Feb 10 2018 JoungKyun.Kim <hostmaster@oops.org> 2:7.2.2-1%{?dist}
- for php 7.2.2 compat package

* Mon Jan  9 2017 JoungKyun.Kim <hostmaster@oops.org> 2:7.1.0-2%{?dist}
- fixed wrong dependency problem

* Sat Dec 10 2016 JoungKyun.Kim <hostmaster@oops.org> 2:7.1.0-1%{?dist}
- 1st packaged

